Create
curl --request POST \
--url https://api-staging.genuka.com/2023-11/admin/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"first_name": "Test",
"last_name": "Test W",
"medias": [
{
"name": "profile.jpg",
"src": "https://genuka.com/logo.png"
}
],
"tags": [
{
"name": "tag 1"
}
]
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/customers"
payload = {
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"first_name": "Test",
"last_name": "Test W",
"medias": [
{
"name": "profile.jpg",
"src": "https://genuka.com/logo.png"
}
],
"tags": [{ "name": "tag 1" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: '01hqydxwtxdj3kmzp3bz7jk73g',
first_name: 'Test',
last_name: 'Test W',
medias: [{name: 'profile.jpg', src: 'https://genuka.com/logo.png'}],
tags: [{name: 'tag 1'}]
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"birthdate": null,
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"company_name": null,
"created_at": "2025-10-09T13:37:12.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Test",
"gender": null,
"id": "01k74k19r8cc6ksb89a1fnh6md",
"last_activity": null,
"last_name": "Test W",
"medias": [
{
"collection_name": "default",
"created_at": "2025-10-09T13:37:13.000000Z",
"file_name": "logo.png",
"id": 81,
"large": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-large.jpg",
"link": "https://cdn.genuka.com/preprod_api_genuka/81/logo.png",
"micro": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-micro.jpg",
"mime_type": "image/png",
"size": 10830,
"thumb": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-thumb.jpg",
"updated_at": "2025-10-09T13:37:19.000000Z"
}
],
"metadata": {
"matchingMediaIds": []
},
"phone": "+237 67812094",
"preferred_language": null,
"registration_number": null,
"tax_number": null,
"type": "individual",
"updated_at": "2025-10-09T13:37:19.000000Z"
}{
"errors": {
"email": [
"The email field is required when phone is not present."
],
"phone": [
"The phone field is required when email is not present."
]
},
"message": "The email field is required when phone is not present."
}Customers
Create customer
Create a new customer in your Genuka store. Use this endpoint to register a customer’s information — such as name, email, and phone number — so they can place orders and manage their account within your shop.
POST
/
2023-11
/
admin
/
customers
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Body
application/json
Response
200 OK
Example:
"01k7464hqksr4f99rp3ff7x2jz"
Example:
"2025-10-09T13:37:12.000000Z"
Example:
[]
Example:
Example:
"Test"
Example:
"01k74k19r8cc6ksb89a1fnh6md"
Example:
"Test W"
Show child attributes
Show child attributes
Example:
[
{
"collection_name": "default",
"created_at": "2025-10-09T13:37:13.000000Z",
"file_name": "logo.png",
"id": 81,
"large": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-large.jpg",
"link": "https://cdn.genuka.com/preprod_api_genuka/81/logo.png",
"micro": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-micro.jpg",
"mime_type": "image/png",
"size": 10830,
"thumb": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-thumb.jpg",
"updated_at": "2025-10-09T13:37:19.000000Z"
}
]
Show child attributes
Show child attributes
Example:
"+237 67812094"
Example:
"individual"
Example:
"2025-10-09T13:37:19.000000Z"
⌘I
